# Gimp.Gradient.prototype.segment_range_set_coloring_type

    function segment_range_set_coloring_type(start_segment: Number(gint), end_segment: Number(gint), coloring_type: Gimp.GradientSegmentColor): Boolean {
        // Gjs wrapper for gimp_gradient_segment_range_set_coloring_type()
    }

Sets the coloring type of a range of segments

Sets the coloring type of a range of segments. Returns an error when a segment index is out of range, or gradient is not editable.

Since 2.2

start_segment

  Index of the first segment to operate on.

end_segment

  Index of the last segment to operate on. If negative, the range will extend to the end segment.

coloring_type

  The coloring type.

Returns

  TRUE on success.